html{height:100%;margin:0;padding:0}body{margin:0;font-family:"Lato";font-weight:300;height:90%}a{text-decoration:none;color:#971717;font-weight:bold}a:hover{text-decoration:underline}hr{border:0;height:0;border-top:1px solid rgba(0,0,0,0.1);border-bottom:1px solid rgba(255,255,255,0.3)}#author-name{font-size:28px;color:#272727;display:inline-block}.navbar{padding:50px 0 50px 0}.navbar-ul{font-size:16px;display:inline-block;margin:0;padding:5px 0 5px 0;margin-left:20px}.nav-list{list-style-type:none;margin:0 5px 0 10px}.alignable,.pull-left,.pull-right{display:inline-block}.pull-left{float:left}.pull-right{float:right}.container{font-size:16px;line-height:150%;max-width:900px;margin:auto}.wrapper{min-height:100%}.just-comments{max-width:900px;margin:auto}@media (max-width: 800px){.container{max-width:600px;transition:0.3s ease all}.just-comments{max-width:600px;margin:auto}}@media (max-width: 650px){.container{max-width:83%}.navbar-ul{margin-top:5px}.just-comments{max-width:83%}}@media (max-width: 580px){#author-name{display:inline-block}}table,th,td{border:none;background-color:white;text-align:left;vertical-align:top;border-spacing:10px}.content a:hover{text-decoration:underline}.content ol{counter-reset:list}.content ol>li{list-style-position:none;position:relative;list-style:none;margin-top:5px;margin-bottom:5px}.content ul>li{margin:5px 0 5px 0}.content ul{padding:0 20px 0 20px}.content ol{padding:0 30px 0 30px}.content ol>li:before{content:"[" counter(list,decimal) "] ";counter-increment:list;position:absolute;left:-30px}.content blockquote{border-left:5px solid #333333;margin:20px 0 20px 0;padding:2px 8px 2px 8px;font-style:italic}.content .profile-picture{height:250px;width:250px;position:relative;margin:-10px 0 30px 15px;float:right;border-radius:50%}p .content .profile-picture{padding:0;margin:0}@media (max-width: 480px){.content .profile-picture img{margin-top:-5px}}.content img{text-align:center;width:100%}

.alignable:hover, .pull-left:hover {
    text-decoration: none;
}
.pub_container {
    display: flex;
    align-items: center;
    height: 150px;
    /* border: 1px solid #000;  */
}
.pub_image {
    /* width: 200px; */
    height: 125px;
    border-radius: 5%;
    object-fit: fill;
    /* border: 1px solid #000;  */
    /* display: block;  */
}
.pub_image_container {
    /* width: 250px;
    height: 125px;     */
    /* border: 1px solid #000;  */
    display: flex; 
    margin-right: 30px;
    flex-shrink: 0;
}

#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 1000;
    justify-content: center;
    align-items: center;
}

#youtubeContainer {
    position: relative;
    width: 80%;
    max-width: 1000px;
    background-color: #000;
    border-radius: 10px;
}

#closeButton {
    position: absolute;
    top: -40px;
    right: -40px;
    font-size: 30px;
    color: white;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.youtube-container {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
}

.youtube-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* XR */
.xr-row {
    display: flex;
    justify-content: space-between;
    /* margin: 30px; */
    /* border: 1px solid #000;  */
}

.xr-container {
    display: flex;
    flex-direction: column;
    align-items: center; 
    /* border: 1px solid #000;  */
}

.xr-video {
    border-radius: 5%;
    height: 275px;
    /* border: 1px solid #000;  */
}

.xr-text {
    margin-top: 10px;
    font-weight: bold;
    /* border: 1px solid #000;  */
}

.xr-video-highlight {
    outline: 4px solid #ffcc00;
    /* outline: 4px solid #7601c4; */
}

.xr-text-highlight {
    color: #ffcc00;
    /* color: #7601c4; */
}

.xr-link {
    text-decoration: none; 
    color: inherit; 
    display: flex;
    flex-direction: column; 
    align-items: center;
}

.xr-link:hover {
    text-decoration: none;
}

.xr-container .xr-link:hover {
    text-decoration: none;
}

.return-link {
    color: #eeeeee !important; /* 默认颜色为白色 */
    text-decoration: none !important; /* 去掉下划线（可选） */
}

.return-link:hover {
    color: #ffcc00 !important;
    text-decoration: underline !important;
}